=== debian/changelog ===
yorick-spydr (0.8.1-1) unstable; urgency=low

  * New upstream release
    + patch long_round applied
  * move to section "science"

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 21 Apr 2010 10:39:04 +0200

yorick-spydr (0.8.0-2) unstable; urgency=low

  * change round() to long(round())

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 06 Apr 2010 18:15:49 +0200

yorick-spydr (0.8.0-1) unstable; urgency=low

  * New upstream release
    - test3.fits is not shipped anymore
  * Convert to 3.0 (quilt) format
  * Add watch file
  * Remove call to dh_desktop
  * Remove linda overrides
  * Check against policy 3.8.3

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sun, 29 Nov 2009 19:23:56 +0100

yorick-spydr (0.7.7-1) unstable; urgency=low

  * Initial release (closes: #460854).
    Thanks to François Rigaut for help in packaging.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 12 Feb 2008 18:07:13 +0100
