=== debian/control ===
Source: yorick-spydr
Section: science
Priority: optional
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: yorick-dev (>= 2.1.05), imagemagick
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://www.maumae.net/yorick/doc/spydr_intro.php

Package: yorick-spydr
Architecture: all
Depends: yorick (>= 2.1.05), yorick-yutils (>= 1.3), yorick-yao,
 python-glade2, python, zenity (>=2.0),
 ${shlibs:Depends}, ${misc:Depends}
Description: FITS image display and simple analysis
 Spydr (pronounced like spider) basically is an FITS image viewer. It
 can work as a stand-alone application but is best integrated in a
 Yorick-based data-analysis work-flow (Yorick is an interpreted
 language specialized in numerical computations and scientific
 graphics). It includes tools to zoom, produce cuts, histograms,
 Gaussian/Moffat fits, PSF fits (inc. FWHM and Strehl). Can work on
 single images, sequences of images or data cubes.
