=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

Makefile.orig:
	dh_testdir
	cp Makefile Makefile.orig

configure: configure-stamp
configure-stamp: Makefile.orig
	dh_testdir
	yorick -batch make.i
	touch configure-stamp

build: build-stamp
build-stamp:  configure-stamp spydr32.xpm spydr48.png
	dh_testdir
	$(MAKE)
	touch build-stamp

spydr32.xpm:
	convert spydr.xpm -resize 32 spydr32.xpm

spydr48.png:
	convert spydr.xpm -crop +2-2 +repage  spydr48.png

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp spydr32.xpm spydr48.png
	make clean
	mv -f Makefile.orig Makefile
	dh_clean 

binary-arch: build
binary-indep: build
	dh_testdir
	dh_testroot
	dh_installyorick --no-make-install
	dh_installchangelogs changelog
	dh_installexamples
	dh_installdocs
	dh_installman
	dh_installmenu
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
