## yorick-spydr 0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # these values filled in by    yorick -batch make.i
-Y_MAKEDIR=/usr/lib/yorick/2.1
-Y_EXE=/usr/lib/yorick/2.1/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.2
+Y_EXE=/usr/lib/yorick/2.2/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick/2.1
-Y_EXE_SITE=/usr/share/yorick/2.1
+Y_EXE_HOME=/usr/lib/yorick/2.2
+Y_EXE_SITE=/usr/share/yorick/2.2
 
 # 
 # !! THIS IS NOT A PLUGIN !!
@@ -16,7 +16,7 @@
 # used for distribution
 PKG_NAME = spydr
 # include files for this package
-PKG_I=spydr.i spydr_plugins.i spydr_psffit.i spydr_various.i spydr_pyk.i
+PKG_I=spydr.i spydr_plugins.i spydr_psffit.i spydr_various.i spydr_pyk.i spydr_input_data_format.i
 # autoload file for this package, if any
 PKG_I_START=spydr_start.i
