=== debian/changelog ===
yorick-spydr (0.8.2-3) unstable; urgency=low

  * Hand over maintainance to debian-science team

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 29 Jun 2012 10:32:23 +0200

yorick-spydr (0.8.2-2) unstable; urgency=low

  * Amend debian/control to abide by Debian Science Policy
  * Updated copyright
  * Patch Makefile instead of running yorick -batch make.i
  * Simplfiy debian/rules with short dh notation

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 16:45:40 +0200

yorick-spydr (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Checked against policy 3.9.1

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 10 May 2011 15:54:48 +0200
