=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: yorick-spydr
 Section: science
-Priority: optional
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 5.0.0)
+Priority: extra
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
+Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: yorick-dev (>= 2.1.05), imagemagick
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
+Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick-spydr.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick-spydr.git
 Homepage: http://www.maumae.net/yorick/doc/spydr_intro.php
 
 Package: yorick-spydr
