=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_installyorick --no-make-install

override_dh_auto_clean:
	rm -f build-stamp configure-stamp spydr32.xpm spydr48.png
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean

override_dh_auto_build:
	convert spydr.xpm -resize 32 spydr32.xpm
	convert spydr.xpm -crop +2-2 +repage  spydr48.png
	dh_auto_build
