=== debian/watch ===
version=3
http://www.maumae.net/yorick/packages/src/spydr-(.*)-src\.tgz
